%define module	Data-UUID
%define name	perl-%{module}
%define version 0.14.8
%define up_version 0.148
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl extension for generating Globally/Universally Unique Identifiers
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Data/%{module}-%{up_version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl extension for generating Globally/Universally Unique Identifiers
(GUIDs/UUIDs).

%prep
%setup -q -n %{module}-%{up_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README 
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/man3/*


%changelog
* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14.8-1mdv2007.0
+ Revision: 86554
- new version
- Import perl-Data-UUID



* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14.5-1mdv2007.0
- New version (upstream version 0.145)

* Fri Sep 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14.2-1mdv2007.0
- New version (upstream version 0.142)

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-2mdv2007.0
- Rebuild

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- New release 0.14

* Wed Mar 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- New release 0.13
- spec cleanup
- drop patch0 (merged upstream)
 fix directory ownership

* Sat Jan 21 2006 Michael Scherer <misc@mandriva.org> 0.11-4mdk
- fix build on amd64 ( patch0 )

* Fri Nov 18 2005 Michael Scherer <misc@mandriva.org> 0.11-3mdk
- Rebuild
- use %%mkrel and %%check
- fix rpmlint error ( dot in summary )
- fix doc

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.11-2mdk
- Rebuild for new perl

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.11-1mdk
- First MandrakeSoft Package
